{% extends "_base.twig" %}

{% block content %}
    <section class="center container">
        <h1>Thread: {{parent.title}}</h1>

        <details open>
            <summary class="button is-primary">Reply</summary>
            <form method="post" action="/api/post" enctype="multipart/form-data">
                <label>
                    Title
                    <input type="text" name="title" maxlength="100" required>
                </label>
                <label>
                    Content
                    <textarea name="body" class="input" placeholder="Click here to draft a post..." maxlength="2000" required></textarea>
                </label>
                <label>
                    Image (Optional)
                    <input type="file" name="uploaded-image" accept=".gif,.png,.jpg,.jpeg,.webp">
                </label>
                {#<label>
                    Post anonymously
                    <input type="checkbox" name="hide-author" value="true">
                </label>#}
                <input type="submit" name="post-submit" value="Post" class="button is-primary">

                <input type="hidden" name="board" value="{{board}}">
                <input type="hidden" name="parent" value="{{parent.id}}">
            </form>
        </details><br>
    </section>
    <article id="listing" class="container">
        <div id="{{parent.id}}" class="post is-primary">
                {% if parent.image %}<img src="/image/{{parent.image}}">{% endif %}
                <div class="content">
                    <h2><img src="https://www.gravatar.com/avatar/{{parent.id}}?d=identicon" width=16 height=16> {{parent.title}}</h2>
                    <p><strong>{{parent.author}}</strong> on {{parent.posted|date("H:i:s D d M Y")}}</p>
                    {{parent.body|raw}}
                </div>
            </div>
        {% for post in posts %}
            <div id="{{post.id}}" class="post reply is-primary">
                {% if post.image %}<img src="/image/{{post.image}}">{% endif %}
                <div class="content">
                    <h2><img src="https://www.gravatar.com/avatar/{{post.id}}?d=identicon" width=16 height=16> {{post.title}}</h2>
                    <p><strong>{{post.author}}</strong> on {{post.posted|date("H:i:s D d M Y")}}</p>
                    {{post.body|raw}}
                </div>
            </div>
        {% else %}
            <p class="center">There are no replies yet.</p>
        {% endfor %}
    </article>
{% endblock %}